function startProgressBar(progBarFilename){  
 
    //errorText.innerHTML = progBarFilename;
   //showTheError();
    //clearTransaction();
	//return;

    //Obtain filesize of the prog bar file to determine transfer progress percentage
    cmd = "ls -l "+PROGRESS_BAR_DIRECTORY+"/"+progBarFilename+" | awk '{print $5}'";
    obj = widget.system("cd .;"+cmd, null);

    var rawPercentageComplete = parseInt(obj.outputString);
    var packingPercentageComplete = null;
    var sendingPercentageComplete = null;


    

    if(rawPercentageComplete > 0){
        if(widget.preferenceForKey("encrypt") == "on" || widget.preferenceForKey("compress") == "on"){
            if(rawPercentageComplete <= 100){
                packingPercentageComplete = rawPercentageComplete;
                document.getElementById("status").innerHTML = "";
                document.getElementById("status").innerHTML = "packing: "+packingPercentageComplete + "%";
                setProgBarPercentage(packingPercentageComplete);
                
            }
            else{
                sendingPercentageComplete = rawPercentageComplete-100;
                document.getElementById("status").innerHTML = "";
                document.getElementById("status").innerHTML = "sending: "+sendingPercentageComplete + "%";
                setProgBarPercentage(sendingPercentageComplete);
            }


        }
        else{
            sendingPercentageComplete = rawPercentageComplete;
            document.getElementById("status").innerHTML = "";
            document.getElementById("status").innerHTML = "sending: "+sendingPercentageComplete + "%";
            setProgBarPercentage(rawPercentageComplete);
        }
    }
    
    progressBarTimerId = setTimeout("startProgressBar(progBarFilename)", 500);      

}

function setProgBarPercentage(percentage){
    var currentBar = document.getElementById("onePercentbar");
    currentBar.src = 'Images/progbar/onePercentBar.png';
    currentBar.width = percentage;
}


function createRandomProgBarFilename(){
    //Create progress bar directory in case it doesnt already exist
    cmd = "mkdir "+PROGRESS_BAR_DIRECTORY;
    obj = widget.system("cd .;"+cmd, null);

    //Create random filename to title this prog bar file
    randomFilename = randomString()+".prog";
    cmd = "touch "+PROGRESS_BAR_DIRECTORY+"/"+randomFilename;
    obj = widget.system("cd .;"+cmd, null);
    return randomFilename;
}

function deleteRandomProgBarFile(progBarFilename){
    
    //Delete this prog bar file
    
    cmd = "rm "+PROGRESS_BAR_DIRECTORY+"/"+progBarFilename;
    obj = widget.system("cd .;"+cmd, null);
}

function stopProgressBar(progBarFilename){
    clearTimeout(progressBarTimerId);
    deleteRandomProgBarFile(progBarFilename);
}

function randomString() {
        var chars = "0123456789ABCDEFGHIJKLMNOPQRSTUVWXTZabcdefghiklmnopqrstuvwxyz";
        var string_length = 20;
        var randomstring = '';
        for (var i=0; i<string_length; i++) {
                var rnum = Math.floor(Math.random() * chars.length);
                randomstring += chars.substring(rnum,rnum+1);
        }
        return randomstring;
}
